com.independentsoft.exchange

## Enum SharingDataType

- java.lang.Object
- - java.lang.Enum<SharingDataType>
  - - com.independentsoft.exchange.SharingDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SharingDataType>

      public enum SharingDataType
      extends java.lang.Enum<SharingDataType>

  Indicates that the shared folder contains contact information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALENDAR` Indicates that the shared folder contains calendar information.
    `CONTACTS` Indicates that the shared folder contains contact information.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SharingDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SharingDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALENDAR

          public static final SharingDataType CALENDAR

      Indicates that the shared folder contains calendar information.

    - #### CONTACTS

          public static final SharingDataType CONTACTS

      Indicates that the shared folder contains contact information.

    - #### NONE

          public static final SharingDataType NONE

      None.

  - ### Method Detail

    - #### values

          public static SharingDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SharingDataType c : SharingDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SharingDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null